<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2015</year><year>2015</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
    </legalnotice>
    <title>ssl_crl_cache</title>
    <file>ssl_crl_cache.xml</file>
  </header>
  
  <module>ssl_crl_cache</module>
  <modulesummary>CRL cache </modulesummary>
  <description>
    <p>
      Implements an internal CRL (Certificate Revocation List) cache.
      In addition to implementing the <seealso
      marker="ssl_crl_cache_api"> ssl_crl_cache_api</seealso> behaviour
      the following functions are available.
    </p>
  </description>
  
    <funcs>
      <func>
	<name>delete(Entries) -> ok |  {error, Reason} </name>
	<fsummary> </fsummary>
	<type>
	  <v> Entries =  <seealso marker="inets:http_uri">http_uri:uri() </seealso> | {file, string()} | {der, [<seealso
	  marker="public_key:public_key"> public_key:der_encoded() </seealso>]}</v>
	  <v> Reason = term()</v>
	</type>
	<desc>
	  <p>Delete CRLs from the ssl applications local cache. </p>
	</desc>
      </func>     
      <func>
	<name>insert(CRLSrc) -> ok | {error, Reason}</name>
	<name>insert(URI, CRLSrc) -> ok | {error, Reason}</name>
	<fsummary> </fsummary>
	<type>
	  <v> CRLSrc = {file, string()} | {der, [ <seealso
	marker="public_key:public_key"> public_key:der_encoded() </seealso> ]}</v>
	  <v> URI = <seealso marker="inets:http_uri">http_uri:uri() </seealso> </v>
	  <v> Reason = term()</v>
	</type>
	<desc>
	 <p>Insert CRLs into the ssl applications local cache. </p>
	</desc>
      </func>
    </funcs>
</erlref>